import 'codable.dart';

class PagingQuery<T extends Encodable> implements Encodable {

  /// Default limit
  static final int DefaultLimit = 10;
  /// Max. number or returned entries.
  int limit = DefaultLimit;

  /// Cursor for pagination.
  String next;

  T _query;

  ///
  /// Create paging query.
  ///
  /// [query] underlaying query.
  ///
  PagingQuery(T query) {
    this._query = query;
  }

  Map<String, dynamic> toJSON() => {
    'query': _query.toJSON(),
    'limit': limit,
    'next': next,
  };
}