import 'codable.dart';

class UserId extends Encodable {

  String _id;
  String _providerId;

  ///
  /// Create a single GetSocial user identifier.
  ///
  /// [userId] GetSocial user ID.
  ///
  static UserId create(String id) {
    UserId instance = new UserId();
    instance._id = id;
    return instance;
  }

  ///
  /// Create a single identity user identifier for giver provider ID.
  ///
  /// [providerId] custom identity provider ID.
  /// [identityId] identity user ID.
  ///
  static UserId createWithProvider(String id, String providerId) {
    UserId instance = new UserId();
    instance._id = id;
    instance._providerId = providerId;
    return instance;
  }

  Map<String, dynamic> toJSON() => {
    'userId': _id,
    'provider': (_providerId == null || _providerId.length == 0) ? null : _providerId
  };

}