import '../common/codable.dart';
import '../common/media_attachment.dart';

class LinkParamsKeys {
  static const String customTitle = '\$title';
  static const String customDescription = '\$description';
  static const String customImage = '\$image';
  static const String customYouTubeVideo = '\$youtube_video';
  static const String promoCode = '\$promo_code';
}

class InviteContentPlaceholders {
  static const String appInviteUrl = "[APP_INVITE_URL]";
  static const String userName = "[USER_NAME]";
  static const String promoCode = "[PROMO_CODE]";
}

class InviteContent extends Encodable {

  String subject;
  String text;
  MediaAttachment mediaAttachment;
  Map<String, String> linkParams;

  Map<String, dynamic> toJSON() => {
    'subject': subject,
    'text': text,
    'mediaAttachment': mediaAttachment == null ? null : mediaAttachment.toJSON(),
    'linkParams': linkParams == null ? null : linkParams
  };

  @override
  String toString() {
    return 'InviteContent{ '
        'subject: $subject,'
        'text: $text,'
        'mediaAttachment: $mediaAttachment,'
        'linkParams: $linkParams'
        '}';
  }

}
